import os

import testinfra.utils.ansible_runner

import warnings

warnings.filterwarnings("ignore", category=DeprecationWarning)

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']
).get_hosts('all')


def test_pam_config(host):
    auth = host.file("/etc/pam.d/system-auth")

    assert auth.contains("auth        sufficient    pam_unix.so nullok try_first_pass")
    assert auth.contains(
        "password    sufficient    pam_unix.so sha512 shadow nullok try_first_pass use_authtok"
    )
